#ifndef REACTORFORTRAN_HH
#define REACTORFORTRAN_HH

extern "C" {
  //
  // paw
  //
  

  //
  // Hbook Interfaces
  //
  void hbook_init__(int* ntIOstat,int* ntID,int *ntLun,int* ntBuf,
		    char* fileName,char* ntName,
		    int* ntVars,char* ntTags);
  void hbook_end__();

  void hfn_(int*,float*);
  //
  //  random generators
  //
  void ranlux_(float* rvec,int* len);
  void rluxgo_(int* lux,int* init,int* k1,int* k2);
  void poissn_(float* Mean,int* Value,int* ErrorCode);
  void rnorml_(float*,int*);  
  //
  // cernlib interpolation routine
  //
  float divdif_(float*,float*,int*,float*,int*);


}
#endif

 


